P_CANSEE(9)

NAME
p_cansee - determine visibility of a process

SYNOPSIS
#include <sys/proc.h>
int
p_cansee(struct thread *td, struct proc *p);

DESCRIPTION
This function determines if a given process p is visible to the thread td, where the notion of “visibility” may be read as “awareness of existence”.

This function explicitly allows a thread to always see its own process, even with pending credentials changes ( see ucred(9)). Otherwise, it simply defers to cr_cansee(9).

RETURN VALUES
The p_cansee() function returns 0 if the process denoted by p is visible by thread td, or ESRCH otherwise.

ERRORS

[ESRCH]
    Thread td is not part of process p and cannot see it as determined by cr_cansee(9).

SEE ALSO
cr_cansee(9), p_candebug(9), ucred(9)